Index: palm/trunk/SOURCE/data_output_2d.f90
===================================================================
--- palm/trunk/SOURCE/data_output_2d.f90	(revision 1818)
+++ palm/trunk/SOURCE/data_output_2d.f90	(revision 1822)
@@ -19,5 +19,5 @@
 ! Current revisions:
 ! -----------------
-! 
+! Output of bulk cloud physics simplified.
 ! 
 ! Former revisions:
@@ -146,8 +146,8 @@
                do2d_xz_last_time, do2d_xz_n, do2d_xz_time_count,               &
                do2d_yz_last_time, do2d_yz_n, do2d_yz_time_count,               &
-               ibc_uv_b, icloud_scheme, io_blocks, io_group,                   &
-               message_string,                             &
-               ntdim_2d_xy, ntdim_2d_xz, ntdim_2d_yz, psolver, section,        &
-               simulated_time,  simulated_time_chr, time_since_reference_point
+               ibc_uv_b, io_blocks, io_group, message_string,                  &
+               ntdim_2d_xy, ntdim_2d_xz, ntdim_2d_yz,                          &
+               psolver, section, simulated_time, simulated_time_chr,           &
+               time_since_reference_point
         
     USE cpulog,                                                                &
@@ -683,58 +683,39 @@
 
              CASE ( 'prr*_xy' )        ! 2d-array
-                IF ( icloud_scheme == 1 )  THEN
-                   IF ( av == 0 )  THEN
-                      CALL exchange_horiz_2d( precipitation_rate )
-                      DO  i = nxlg, nxrg
-                         DO  j = nysg, nyng
-                            local_pf(i,j,nzb+1) =  precipitation_rate(j,i)
+                IF ( av == 0 )  THEN
+                   CALL exchange_horiz_2d( prr(nzb+1,:,:) )
+                   DO  i = nxlg, nxrg
+                      DO  j = nysg, nyng
+                         local_pf(i,j,nzb+1) = prr(nzb+1,j,i) * hyrho(nzb+1)
+                      ENDDO
+                   ENDDO
+                ELSE
+                   CALL exchange_horiz_2d( prr_av(nzb+1,:,:) )
+                   DO  i = nxlg, nxrg
+                      DO  j = nysg, nyng
+                         local_pf(i,j,nzb+1) = prr_av(nzb+1,j,i) * hyrho(nzb+1)
+                      ENDDO
+                   ENDDO
+                ENDIF
+                resorted = .TRUE.
+                two_d = .TRUE.
+                level_z(nzb+1) = zu(nzb+1)
+
+             CASE ( 'prr_xy', 'prr_xz', 'prr_yz' )
+                IF ( av == 0 )  THEN
+                   CALL exchange_horiz( prr, nbgp )
+                   DO  i = nxlg, nxrg
+                      DO  j = nysg, nyng
+                         DO  k = nzb, nzt+1
+                            local_pf(i,j,k) = prr(k,j,i) * hyrho(nzb+1)
                          ENDDO
                       ENDDO
-                   ELSE
-                      CALL exchange_horiz_2d( precipitation_rate_av )
-                      DO  i = nxlg, nxrg
-                         DO  j = nysg, nyng
-                            local_pf(i,j,nzb+1) =  precipitation_rate_av(j,i)
-                         ENDDO
-                      ENDDO
-                   ENDIF
-                ELSE
-                   IF ( av == 0 )  THEN
-                      CALL exchange_horiz_2d( prr(nzb+1,:,:) )
-                      DO  i = nxlg, nxrg
-                         DO  j = nysg, nyng
-                            local_pf(i,j,nzb+1) = prr(nzb+1,j,i) * hyrho(nzb+1)
-                         ENDDO
-                      ENDDO
-                   ELSE
-                      CALL exchange_horiz_2d( prr_av(nzb+1,:,:) )
-                      DO  i = nxlg, nxrg
-                         DO  j = nysg, nyng
-                            local_pf(i,j,nzb+1) = prr_av(nzb+1,j,i) *          &
-                                                  hyrho(nzb+1)
-                         ENDDO
-                      ENDDO
-                   ENDIF
-                ENDIF
-                resorted = .TRUE.
-                two_d = .TRUE.
-                level_z(nzb+1) = zu(nzb+1)
-
-             CASE ( 'prr_xy', 'prr_xz', 'prr_yz' )
-                IF ( av == 0 )  THEN
-                   CALL exchange_horiz( prr, nbgp )
+                   ENDDO
+                ELSE
+                   CALL exchange_horiz( prr_av, nbgp )
                    DO  i = nxlg, nxrg
                       DO  j = nysg, nyng
                          DO  k = nzb, nzt+1
-                            local_pf(i,j,k) = prr(k,j,i)
-                         ENDDO
-                      ENDDO
-                   ENDDO
-                ELSE
-                   CALL exchange_horiz( prr_av, nbgp )
-                   DO  i = nxlg, nxrg
-                      DO  j = nysg, nyng
-                         DO  k = nzb, nzt+1
-                            local_pf(i,j,k) = prr_av(k,j,i)
+                            local_pf(i,j,k) = prr_av(k,j,i) * hyrho(nzb+1)
                          ENDDO
                       ENDDO
